## org.apache.commons.collections
Interface Factory

All Known Implementing Classes:
  ConstantFactory, ExceptionFactory, InstantiateFactory

public interface Factory

Defines a functor interface implemented by classes that create objects.

A `Factory` creates an object without using an input parameter. If an input parameter is required, then `Transformer` is more appropriate.

Standard implementations of common factories are provided by `FactoryUtils`. These include factories that return a constant, a copy of a prototype or a new instance.

Since:
  Commons Collections 2.1
Version:
  $Revision: 1.9 $ $Date: 2004/04/14 20:08:57 $
Author:
  Arron Bates, Stephen Colebourne

Method Summary
`Object` `create()` Create a new object.

Method Detail

### create

    public Object create()

  Create a new object.

  Returns:
    a new object
  Throws:
    `FunctorException` - (runtime) if the factory cannot create an object

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.